/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FullStochasticOscillatorIndicatorStrategy } from "./FullStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
/**
 * @hidden
 */
export let FullStochasticOscillatorIndicator = /*@__PURE__*/ (() => {
    class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
        bj() {
            return new FullStochasticOscillatorIndicator();
        }
        constructor() {
            super();
            this.trendLineBrush = ((() => {
                let $ret = new Brush();
                $ret.fill = "#565656";
                return $ret;
            })());
            this.trendLineType = 10;
            this.trendLinePeriod = 3;
        }
        get_abt() {
            return new FullStochasticOscillatorIndicatorStrategy();
        }
        get abt() {
            return this.get_abt();
        }
        get_ab6() {
            return FullStochasticOscillatorIndicator.$;
        }
        get ab6() {
            return this.get_ab6();
        }
        get ace() {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.acj));
        }
        set ace(a) {
            this.h(FullStochasticOscillatorIndicator.acj, a);
        }
        abz() {
            return this.ace;
        }
        ab8(a) {
            this.ace = a;
        }
        get smoothingPeriod() {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.ack));
        }
        set smoothingPeriod(a) {
            this.h(FullStochasticOscillatorIndicator.ack, a);
        }
        ab1() {
            return this.smoothingPeriod;
        }
        get acg() {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.acl));
        }
        set acg(a) {
            this.h(FullStochasticOscillatorIndicator.acl, a);
        }
        aby() {
            return this.acg;
        }
        aa9() {
            return this.acg;
        }
    }
    FullStochasticOscillatorIndicator.$t = /*@__PURE__*/ markType(FullStochasticOscillatorIndicator, 'FullStochasticOscillatorIndicator', StrategyBasedIndicator.$);
    FullStochasticOscillatorIndicator.acj = /*@__PURE__*/ StrategyBasedIndicator.acb(14, FullStochasticOscillatorIndicator.$);
    FullStochasticOscillatorIndicator.ack = /*@__PURE__*/ StrategyBasedIndicator.acc(3, FullStochasticOscillatorIndicator.$, "SmoothingPeriod");
    FullStochasticOscillatorIndicator.acl = /*@__PURE__*/ StrategyBasedIndicator.acc(3, FullStochasticOscillatorIndicator.$, "TriggerPeriod");
    return FullStochasticOscillatorIndicator;
})();
